#ifndef TIMERFUNCTIONS_H
#define TIMERFUNCTIONS_H

#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>
#include "_7_segment.h"
#include "dcf77.h"

volatile unsigned char stunden_h = '0';			//auf Anzeigen darzustellende Stunden,
volatile unsigned char stunden_l = '0';			// und Minuten
volatile unsigned char minuten_h = '0';
volatile unsigned char minuten_l = '0';
volatile unsigned char sekunden_h = '0';			//Sekunden nur fr interne Verwendung
volatile unsigned char sekunden_l = '0';

volatile unsigned char wake_std_h = '0';			//Weckzeit
volatile unsigned char wake_std_l = '0';
volatile unsigned char wake_min_h = '0';
volatile unsigned char wake_min_l = '0';

volatile unsigned char time_display = 1;			//entweder Uhrzeit oder Alarmzeit wird dargestellt
volatile unsigned char alarm_activate = 0;		//Alarm aktiv?
volatile unsigned char wake_enable = 0;			//Alarm-Bedingung erfllt? --> Summer an
volatile unsigned char ring_ring_count = 0;		//determinieren der max. Alarmzeit, damit Summer nicht ewig summt :-)

SIGNAL (SIG_OVERFLOW1);
SIGNAL (SIG_OVERFLOW2);
void delay (unsigned int us);
void time_init (void);
void wake_up (void);
void ring_ring (void);


#endif
